I am trying to write a program to clean up drawing files. I have most of my program running fine but am having problems with erasing all of the objects from paperspace. When i run the program I get the following error: Runtime error -2145320958(8021002) Invalid Entity Name. When I select debug it hightlights the line that reads PspaceObj.Erase. I have included the code below. If I change all of the paperspace entries to modelspace it works fine. Does anyone know why this is not working for paperspace? With ThisDrawing.Utility Dim pspaceObj As AcadSelectionSet Set pspaceObj = ThisDrawing.SelectionSets.Add("PspaceObjects") ReDim ssobjs(0 To ThisDrawing.PaperSpace.count - 1) As AcadEntity Dim I As Integer For I = 0 To ThisDrawing.PaperSpace.count - 1 Set ssobjs(I) = ThisDrawing.PaperSpace.Item(I) Next 'add the array of objects to the selection set pspaceObj.AddItems ssobjs 'erase the objects in the selection set pspaceObj.Erase End With Thanks, Pat